﻿@model Services.DTOs.Vote.VoteDto

@{
    ViewData["Title"] = "اضافه کردن رای گیری";
}


<h4>اضافه کردن رای گیری جدید</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="AddVote" method="post">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Vote.VoteName" class="control-label">نام</label>
                <input asp-for="Vote.VoteName" class="form-control" />
                <span asp-validation-for="Vote.VoteName" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Vote.VoteDescription" class="control-label">توضیحات</label>
                <input asp-for="Vote.VoteDescription" class="form-control" />
                <span asp-validation-for="Vote.VoteDescription" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Vote.Question" class="control-label">پرسش</label>
                <input asp-for="Vote.Question" class="form-control" />
                <span asp-validation-for="Vote.Question" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Vote.FinishTime" class="control-label"></label>
                <input asp-for="Vote.FinishTime" class="form-control" />
                <span asp-validation-for="Vote.FinishTime" class="text-danger"></span>
            </div>
            <div class="form-group form-check">
                <label class="form-check-label">
                    <input class="form-check-input" asp-for="Vote.Active" /> فعال
                </label>
            </div>
            <div class="form-group">
                <table id="mytable" style="overflow-x: auto;">
                    <tr>
                        <th>پاسخ</th>
                        <th>توضیحات پاسخ</th>
                    </tr>
                    <tr>
                        <td><input asp-for="VoteAnswers[0].Option" /></td>
                        <td><input asp-for="VoteAnswers[0].OptionDescription" /></td>
                    </tr>
                    <input type="button" name="add" value="+Add" id="addrows" />
                </table>
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" />
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Index">Back to List</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
    <script>
        j = 0;
        $("#addrows").click(function () {
            $("#mytable").each(function () {
                var tds = '<tr>';
                j++;

                jQuery.each($('tr:last td', this),
                    function () {
                        tds += '<td>' + $(this).html() + '</td>';
                    });
                tds =
                    `<tr>
                        <td><input type="text" id="VoteAnswers_${j}__Option" name="VoteAnswers[${j}].Option" value=""></td>
                        <td><input type="text" id="VoteAnswers_${j}__OptionDescription" name="VoteAnswers[${j}].OptionDescription" value=""></td>
                    </tr>`;
                if ($('tbody', this).length > 0) {
                    $('tbody', this).append(tds);
                } else {
                    $(this).append(tds);
                }
            });
        });

    </script>
}
